#!/usr/bin/perl -w
#
# Copyright (C) 1998, 1999 VMWare, Inc.  All Rights Reserved.
#
# Make-Disk.pl, a routine to facilitate the creation of disks and
# diskdefs when using the GUI is impossible / undesirable.

use strict;


sub MakePlaindisk {
  my ($cyls, $heads, $sectors, $cwd, $file);

  print "Enter the number of Cylinders: ";
  chop($cyls = <STDIN>);

  print "Enter the number of Heads: ";
  chop($heads = <STDIN>);

  print "Enter the number of Sectors: ";
  chop($sectors = <STDIN>);

  chop($cwd = `pwd`);
  $file = "$cwd/plaindisk-image";
  open(IMAGE, ">$file") or die "Cannot create a disk-image file: $!\n";
  sysseek IMAGE, 512*$cyls*$heads*$sectors, 0
    or die "Cannot seek to end of image: $!\n";
  close(IMAGE);

  open(PLAINDISK, ">plaindisk.def") or die "Cannot open plaindisk.def: $!\n";
  print PLAINDISK "CYLINDERS\t$cyls\n";
  print PLAINDISK "HEADS\t\t$heads\n";
  print PLAINDISK "SECTORS\t\t$sectors\n";
  print PLAINDISK "EXTEND $file 0\n";
  close(PLAINDISK);
}

sub MakeCowdisk {
  die "This script does not currently know how to create a Copy on Write Disk.\n" .
      "Please check back later.  Thank you.\n";
}

##########
# Main
##########
  
die "Usage: $0 plain | cow\n" if $#ARGV == -1;
  
if ($ARGV[0] eq "plain") {
  &MakePlaindisk();
} elsif ($ARGV[0] eq "cow") {
  &MakeCowdisk();
} else {
  die "Usage: $0 plain | cow\n";
}
